<?php

namespace App\Http\Controllers;

use App\Models\Cliente;
use Illuminate\Http\Request;

class ControllerCliente extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        

        $data = Cliente::all();

        return view('cliente.index', compact('data'));

    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('cliente.create');
    }


    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // Crear un nuevo cliente sin guardar en la base de datos aún
        $item = new Cliente();
    
        // Asignar los valores del request a las propiedades del cliente
        $item->nombre = $request->input('nombre');
        $item->telefono = $request->input('telefono');
        $item->correo = $request->input('correo');
    
        // Deshabilitar la actualización automática de timestamps
        $item->timestamps = false;
    
        // Guardar el nuevo cliente en la base de datos
        $item->save();
    
        // Redireccionar a la vista index de clientes
        return redirect()->route('Cliente.index');
    }
    

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $item = Cliente::find($id);

        return view('cliente.edit', compact('item'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
{
    // Encontrar el cliente por su ID
    $item = Cliente::find($id);

    // Asignar los nuevos valores del request a las propiedades del cliente
    $item->nombre = $request->input('nombre');
    $item->telefono = $request->input('telefono');
    $item->correo = $request->input('correo');

    // Deshabilitar la actualización automática de timestamps
    $item->timestamps = false;

    // Guardar los cambios en el cliente
    $item->save();

    // Redireccionar a la vista index de clientes
    return redirect()->route('Cliente.index');
}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Cliente::find($id);
        $item->delete();

        return redirect()->route('Cliente.index');
    }



    public function showCitas($id_cliente)
    {
        // Buscar el cliente por su ID
        $cliente = Cliente::findOrFail($id_cliente);
    
        // Obtener todas las citas asociadas al cliente
        $citasNoAtendidas = $cliente->citas()->where('atendida', false)->get();
        $citasAtendidas = $cliente->citas()->where('atendida', true)->get();
    
        // Retornar la vista 'cliente.citas' con las variables compactas
        return view('cliente.citas', compact('cliente', 'citasNoAtendidas', 'citasAtendidas'));
    }



    
}
