<?php

namespace App\Http\Controllers;

use App\Models\Servicio;
use Illuminate\Http\Request;

class ControllerServicio extends Controller
{
    public function index()
    {
        

        $data = Servicio::all();

        return view('servicio.index', compact('data'));

    }

    public function create()
    {
        return view('servicio.create');
    }

    public function store(Request $request)
    {
        // Crear un nuevo cliente sin guardar en la base de datos aún
        $item = new Servicio();
    
        // Asignar los valores del request a las propiedades del cliente
        $item->nombre = $request->input('nombre');
        $item->precio = $request->input('precio');
  
        // Deshabilitar la actualización automática de timestamps
        $item->timestamps = false;
    
        // Guardar el nuevo cliente en la base de datos
        $item->save();
    
        // Redireccionar a la vista index de clientes
        return redirect()->route('Servicio.index');
    }
    
    public function edit(string $id)
    {
        $item = Servicio::find($id);

        return view('servicio.edit', compact('item'));
    }


    public function update(Request $request, string $id)
    {
        // Encontrar el cliente por su ID
        $item = Servicio::find($id);
    
        // Asignar los nuevos valores del request a las propiedades del cliente
        $item->nombre = $request->input('nombre');
        $item->precio = $request->input('precio');
    
        // Deshabilitar la actualización automática de timestamps
        $item->timestamps = false;
    
        // Guardar los cambios en el cliente
        $item->save();
    
        // Redireccionar a la vista index de clientes
        return redirect()->route('Servicio.index');
    }
    
    public function destroy(string $id)
    {
        $item = Servicio::find($id);
        $item->delete();

        return redirect()->route('Servicio.index');
    }




}
