<?php

namespace App\Http\Controllers;

use App\Models\Cita;
use Illuminate\Support\Facades\Mail;
use App\Mail\CitaAgendada;

class CorreoController extends Controller
{
    /**
     * Envía el correo con los detalles de la cita.
     *
     * @param int $id
     * @return \Illuminate\Http\RedirectResponse
     */
    public function enviarCorreo($id)
    {
        try {
            // Obtener la cita por su id
            $cita = Cita::findOrFail($id);

            // Enviar el correo con los detalles de la cita
            Mail::to($cita->cliente->correo)->send(new CitaAgendada($cita));

            return back()->with('success', 'Correo enviado con éxito.');
        } catch (\Exception $e) {
            // Manejar errores generales
            return back()->with('error', 'Error al enviar el correo: ' . $e->getMessage());
        }
    }


    
}
