<?php
// app/Mail/CitaAgendada.php
namespace App\Mail;

use App\Models\Cita;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class CitaAgendada extends Mailable
{
    use Queueable, SerializesModels;

    public $cita;

    /**
     * Create a new message instance.
     *
     * @param Cita $cita
     */
    public function __construct(Cita $cita)
    {
        $this->cita = $cita;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('emails.citaAgendada')
                    ->with([
                        'fecha' => $this->cita->fecha,
                        'hora' => $this->cita->hora,
                        'cliente' => $this->cita->cliente->nombre,
                    ]);
    }
}
