function fullCalender() {
	/* initialize the external events */
	var containerEl = document.getElementById('external-events');
	if ($('#external-events').length > 0) {
	  new FullCalendar.Draggable(containerEl, {
		itemSelector: '.external-event',
		eventData: function (eventEl) {
		  return {
			title: eventEl.innerText.trim()
		  };
		}
	  });
	}
  
	/* initialize the calendar */
	var calendarEl = document.getElementById('calendar');
	var calendar = new FullCalendar.Calendar(calendarEl, {
	  headerToolbar: {
		left: 'prev,next today',
		center: 'title',
		right: 'dayGridMonth,timeGridWeek,timeGridDay'
	  },
	  selectable: true,
	  selectMirror: true,
	  select: function (arg) {
		// Al seleccionar una fecha, abrir el modal
		$('#eventModal').modal('show'); // Muestra el modal
		$('#saveEvent').off('click').on('click', function () { // Reemplaza el evento de click para guardar el evento
		  var title = $('#eventTitle').val();
		  var description = $('#eventDescription').val();
		  if (title) {
			// Agregar el evento al calendario
			calendar.addEvent({
			  title: title,
			  start: arg.start,
			  end: arg.end,
			  description: description,
			  allDay: arg.allDay
			});
		  }
		  // Cerrar el modal
		  $('#eventModal').modal('hide');
		  calendar.unselect(); // Deselecciona el área seleccionada
		});
	  },
	  editable: true,
	  droppable: true,
	  drop: function (arg) {
		// Eliminar evento de la lista de eventos si se desea
		if (document.getElementById('drop-remove').checked) {
		  arg.draggedEl.parentNode.removeChild(arg.draggedEl);
		}
	  },
	  initialDate: '2021-02-13',
	  weekNumbers: true,
	  navLinks: true, // Puede hacer clic en los nombres de días/semanas para navegar
	  nowIndicator: true,
	  events: [
		{
		  title: 'All Day Event',
		  start: '2021-02-01'
		},
		{
		  title: 'Long Event',
		  start: '2021-02-07',
		  end: '2021-02-10',
		  className: "bg-danger"
		}
	  ]
	});
  
	// Renderiza el calendario
	calendar.render();
  }
  
  // Espera que el documento esté completamente cargado antes de ejecutar la función
  jQuery(window).on('load', function () {
	setTimeout(function () {
	  fullCalender();
	}, 1000);
  });
  