document.addEventListener("DOMContentLoaded", function() {
    const celdas = document.querySelectorAll(".celda-calendario");

    celdas.forEach(celda => {
        celda.addEventListener("click", function() {
            const dia = celda.getAttribute("data-dia");
            const hora = celda.getAttribute("data-hora");
            const fecha = celda.getAttribute("data-fecha");
            const ocupada = celda.getAttribute("data-ocupada") === 'true';  // Si la cita ya está ocupada

            // Verificar si la celda está ocupada
            if (ocupada) {
                // Si ya está ocupada, mostrar un mensaje
                alert("Esta hora ya está ocupada. Elige otra.");
            } else {
                // Si está disponible, mostrar el modal para agendar la cita
                document.querySelector("#modalComentarioInterno").innerText = `Agendar cita para ${fecha} a las ${hora}`;
                document.querySelector("#modalBodyContent").innerHTML = `
                    <p><strong>Fecha:</strong> ${fecha}</p>
                    <p><strong>Hora:</strong> ${hora}</p>
                    <p><strong>Cliente:</strong> <input type="text" id="clienteNombre" placeholder="Nombre del cliente"></p>
                    <p><strong>Teléfono:</strong> <input type="text" id="clienteTelefono" placeholder="Teléfono del cliente"></p>
                    <p><strong>Email:</strong> <input type="email" id="clienteEmail" placeholder="Email del cliente"></p>
                `;

                // Mostrar el modal
                const modal = new bootstrap.Modal(document.getElementById('citaModal'));
                modal.show();
            }
        });
    });
});

// Enviar la cita al servidor cuando se haga clic en "Agendar Cita"
document.querySelector("#agendarCitaBtn").addEventListener("click", function() {
    const nombreCliente = document.querySelector("#clienteNombre").value;
    const telefonoCliente = document.querySelector("#clienteTelefono").value;
    const emailCliente = document.querySelector("#clienteEmail").value;
    const fecha = document.querySelector("#modalComentarioInterno").innerText.split(" ")[3]; // Extraer la fecha
    const hora = document.querySelector("#modalComentarioInterno").innerText.split(" ")[5]; // Extraer la hora

    fetch('/citas', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
        },
        body: JSON.stringify({
            nombre_cliente: nombreCliente,
            telefono_cliente: telefonoCliente,
            email_cliente: emailCliente,
            fecha: fecha,
            hora: hora
        })
    })
    .then(response => response.json())
    .then(data => {
        alert('Cita agendada con éxito');
        window.location.reload(); // Recargar la página para ver la nueva cita
    })
    .catch(error => console.error('Error:', error));
});
