@extends('inicio')

@section('index')
    <div class="container">

        <h1>Citas Atendidas </h1>

        <div class="row py-3 px-3">
            <div class="col">
                <div class="row">
                    <div class="col-9">
                        <h2 class="text-secondary"></h2>
                        <h5 class="text-dark">{{ date('Y-m-d') }}</h5> <!-- Muestra la fecha actual -->
                    </div>
                    <div class="col-3">
                        <a href="{{ route('Cita.create') }}" class="btn btn-success btn-lg">+ Agendar Cita</a>
                    </div>
                </div>
            </div>
            <div class="w-100"></div>
            <div class="col py-3 px-3">
                @foreach ($dataAtendidas as $item)
                    <div class="border border-5 px-4 py-4 mb-3">
                        <div class="row">
                            <div class="col-8">
                                <h3 class="text-secondary">{{ $item->fecha }}</h3>
                                <h6 class="text-dark">{{ $item->hora }}</h6>
                                <h5 class="text-dark">{{ $item->cliente->nombre }}</h5>
                                <h6 class="text-dark">{{ $item->cliente->telefono }}</h6>
                                <h6 class="text-dark">{{ $item->cliente->correo }}</h6>
                            </div>
                            <div class="col-4">
                                <p class="text-success">Cita atendida</p>
                                <form action="{{ route('Cita.destroy', $item->id_cita) }}" method="POST">
                                    @method('delete')
                                    @csrf
                                    <button class="btn btn-block btn-danger mb-2 rounded-pill">Eliminar del
                                        Historial</button>
                                </form>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection