@extends('inicio')

@section('index')
    <div class="container">
        <div class="row py-3 px-3">
            <div class="col">
                <div class="row">
                    <div class="col-9">
                        <h2 class="text-secondary">Citas</h2>
                        <h5 class="text-dark"></h5>
                    </div>
                    <div class="col-3">
                        <a href="{{ route('Cita.create') }}" class="btn btn-success btn-lg">+ Agendar Cita</a>
                    </div>
                </div>
            </div>
            <div class="w-100"></div>
            <div class="col py-3 px-3">
                @foreach ($data->sortBy('fecha')->sortBy('hora') as $item)
                    <div class="border border-5 px-4 py-4 mb-3">
                        <div class="row">
                            <div class="col-8">
                                <h3 class="text-secondary">{{ $item->fecha }}</h3>
                                <h6 class="text-dark">{{ $item->hora }}</h6>
                                <h5 class="text-dark">{{ $item->cliente->nombre }}</h5>
                                <h6 class="text-dark">{{ $item->cliente->telefono }}</h6>
                                <h6 class="text-dark">{{ $item->cliente->correo }}</h6>
                            </div>
                            <div class="col-4">
                                <form action="{{ route('Cita.atendida', $item->id_cita) }}" method="POST">
                                    @csrf
                                    <button type="submit" class="btn btn-success btn-block mb-2 rounded-pill">Marcar como
                                        atendida</button>
                                </form>
                                <a href="{{ route('cita.edit', $item->id_cita) }}"
                                    class="btn btn-block btn-warning mb-2 rounded-pill">Reagendar cita</a>
                                <form action="{{ route('Cita.destroy', $item->id_cita) }}" method="POST">
                                    @method('delete')
                                    @csrf
                                    <button class="btn btn-block btn-danger mb-2 rounded-pill">Cancelar Cita</button>
                                </form>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection