@extends('inicio')

@section('index')
    <div>
        <h1> <a href="{{ route('Cliente.index') }}" class="btn btn-primary ">Regresar</a></h1>
        <h2 class="text-secondary mt-5">Citas de {{ $cliente->nombre }} </h2>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-6">
                <h3>Citas No Atendidas</h3>
                <table class="table table-hover">
                    <thead>
                        <tr>

                            <th>Fecha</th>
                            <th>Hora</th>

                            <th>Acciones</th> <!-- Nueva columna para acciones -->
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($citasNoAtendidas as $cita)
                            <tr>

                                <td>{{ $cita->fecha }}</td>
                                <td>{{ $cita->hora }}</td>

                                <td>
                                    <form action="{{ route('Cita.atendida', $cita->id_cita) }}" method="POST">
                                        @csrf
                                        <button type="submit" class="btn btn-success btn-sm w-50">Marcar atendida</button>
                                    </form>


                                    <div class="mb-1"> <!-- Agrega un margen inferior pequeño para separar los botones -->
                                        <a href="{{ route('Cita.edit', $cita->id_cita) }}"
                                            class="btn btn-warning btn-sm mt-2 w-50">Reagendar cita</a>
                                    </div>
                                    <form action="{{ route('Cita.destroy', $cita->id_cita) }}" method="POST">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger btn-sm mt-2 w-50"
                                            onclick="return confirm('¿Estás seguro de que deseas cancelar esta cita?')">Cancelar
                                            cita</button>
                                    </form>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="5">No hay citas no atendidas.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>

            </div>

            <div class="col-6">
                <h3>Citas Atendidas</h3>
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th>Fecha</th>
                            <th>Hora</th>
                            <th>Estado</th> <!-- Cambiar el encabezado a Estado -->
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($citasAtendidas as $cita)
                            <tr>
                                <td>{{ $cita->fecha }}</td>
                                <td>{{ $cita->hora }}</td>
                                <td>
                                    @if ($cita->atendida === 1)
                                        Atendida
                                    @elseif ($cita->atendida === 0)
                                        Cancelada
                                    @else
                                        Sin estado
                                    @endif
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="3">No hay citas atendidas.</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>

    </div>
@endsection