@extends('inicio')

@section('index')
    <div class="container-fluid mt-4">


        <div class="row justify-content-center">

            <div class="col-md-6">
                <h2 class="text-secondary">Lista de Pacientes</h2>
            </div>
            <div class="col-md-5 text-end">
                <a type="button" href="{{ route('Cliente.create') }}" class="btn btn-lg btn-outline-success">+ Nuevo
                    Paciente</a>
            </div>

            <hr class="mt-5">

            <div class="col-sm-11">


                <!-- Tabla responsiva -->
                <div class="table-responsive">
                    <table id="table-pacientes" class="datatable table table-hover table-sm table-bordered">
                        <thead class="bg-dark text-white text-center">
                            <tr>
                                <th>#</th>
                                <th>Nombre</th>
                                <th>Teléfono</th>
                                <th>Correo</th>
                                <th>Editar</th>
                                <th>Eliminar</th>
                                <th>Consultar</th>
                            </tr>
                        </thead>

                        <tbody class="bg-light text-center">
                            @foreach ($data as $item)
                                <tr>
                                    <td>{{ $item->id_cliente }}</td>
                                    <td>{{ $item->nombre }}</td>
                                    <td>{{ $item->telefono }}</td>
                                    <td>{{ $item->correo }}</td>
                                    <td>
                                        <a class="btn btn-sm btn-warning" href="{{ route('Cliente.edit', $item) }}"><i
                                                class="bi bi-pencil fs-6"></i></a>
                                    </td>
                                    <td>
                                        <form action="{{ route('Cliente.destroy', $item) }}" method="POST">
                                            @method('delete')
                                            @csrf
                                            <button class="btn btn-sm btn-danger"><i class="bi bi-trash3 fs-6"></i></button>
                                        </form>
                                    </td>
                                    <td>
                                        <a class="btn btn-sm btn-outline-success"
                                            href="{{ route('Cliente.showCitas', $item->id_cliente) }}">Consultar</a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection