@extends('inicio')

@section('index')


    <div class="container-fluid mt-4">
        <div class="row justify-content-center">

            <div class="col-md-6">
                <h2 class="text-secondary">Lista de Servicios</h2>
            </div>
            <div class="col-md-5 text-end">
                <a href="{{ route('Servicio.create') }}" class="btn btn-success btn-lg">+ Nuevo servicio</a>
            </div>

            <hr><br>

            <div class="col-sm-11">


                @if ($data->isEmpty())
                    <div class="alert alert-info text-center">
                        <strong>No hay servicios registrados.</strong>
                    </div>
                @else
                    <div class="table-responsive">
                        <table id="table-pacientes" class="datatable table table-hover table-sm table-bordered">
                            <thead class="bg-dark text-white text-center">
                                <tr>
                                    <th>Nombre</th>
                                    <th>Duración</th>
                                    <th>Precio</th>
                                    <th>Editar</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>
                            <tbody class="text-center">
                                @foreach ($data as $item)
                                    <tr>
                                        <td>{{ $item->nombre }}</td>
                                        <td>{{ $item->duration }}</td>
                                        <td>
                                            @if (!empty($item->precio))
                                                ₡{{ $item->precio }}
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td>
                                            <div class="btn-group">
                                                <a href="{{ route('Servicio.edit', $item) }}"
                                                    class="btn btn-warning btn-sm"><i class="bi bi-pencil fs-6"></i></a>

                                            </div>
                                        </td>
                                        <td>
                                            <form action="{{ route('Servicio.destroy', $item) }}" method="POST"
                                                style="display:inline;">
                                                @method('delete')
                                                @csrf
                                                <button class="btn btn-danger btn-sm"><i
                                                        class="bi bi-trash3 fs-6"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                @endif
            </div>
        </div>
    </div>

@endsection