<?php

use App\Http\Controllers\CalendarioController;
use App\Http\Controllers\ControllerCalendario;
use App\Http\Controllers\ControllerCita;
use App\Http\Controllers\ControllerCliente;
use App\Http\Controllers\ControllerServicio;

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('ini');
})->name('inicio');


Route::get('/in', function () {
    return view('in');
})->name('in');



Route::resource('/Cita', ControllerCita::class);

Route::resource('/Cliente', ControllerCliente::class);


Route::resource('/Servicio', ControllerServicio::class);

Route::get('/citas/atendidas', [ControllerCita::class, 'indexAtendidas'])->name('citas.atendidas');


Route::post('/cita/atendida/{id}', [ControllerCita::class, 'marcarComoAtendida'])->name('Cita.atendida');
Route::post('/cita/atendidaa/{id}', [ControllerCita::class, 'marcarComoAtendidaa'])->name('Cita.atendidaa');

Route::get('/citas-del-dia', [ControllerCita::class, 'citasDelDia'])->name('citas.del.dia');
Route::get('/cliente/{id}/citas', [ControllerCliente::class, 'showCitas'])->name('Cliente.showCitas');




Route::resource('cita', ControllerCita::class);


Route::get('/calendario', [CalendarioController::class, 'mostrarCalendario'])->name('calendario.mostrar');

Route::get('/createDos', [ControllerCita::class, 'createDos'])->name('cita.createDos');
Route::get('/create', [ControllerCita::class, 'create'])->name('cita.create');



// Ruta para mostrar la vista de cita exitosa
Route::get('/cita/exitosa/{fecha}/{hora}', [ControllerCita::class, 'showCitaExitosa'])->name('cita.exitosa');


Route::get('/cita/pdf/{fecha}/{hora}', [ControllerCita::class, 'generarPdf'])->name('cita.pdf');


use App\Http\Controllers\CorreoController;



Route::get('/enviar-correo/{id}', [CorreoController::class, 'enviarCorreo'])->name('enviar.correo');
// routes/web.php


Route::get('/citas/{id}', [ControllerCita::class, 'show'])->name('citas.show');


Route::delete('/cita/{id}', [CalendarioController::class, 'destroy'])->name('Cita.destroy');
// Ruta para eliminar citas que usa CalendarioController
Route::delete('/calendario/cita/{id}', [CalendarioController::class, 'destroy'])->name('calendario.cita.destroy');

Route::resource('/ca', ControllerCalendario::class);

Route::get('/cliente/{id_cliente}/citas', [ControllerCita::class, 'showw'])->name('Cliente.Cita');


Route::delete('/citas/{id}', [CalendarioController::class, 'destroy'])->name('citas.destroy');